<template>
  <view class="submit-but">
    <slot name="tips"></slot>
    <view class="submit-but-box">
      <up-button @click="handleClick" :disabled="disabled" size="large" type="primary" :text="text" shape="circle"
                 color="#FFAA48"></up-button>
    </view>
  </view>
</template>

<script setup>

defineProps({
  text: {
    type: String,
    default: "确定"
  },
  disabled: {
    type: Boolean,
    default: false
  }
})
const emit = defineEmits(['click'])
const handleClick = () => {
  emit('click')
}
</script>

<style scoped lang="scss">
@import "index";

</style>